Bug 610461 - update-mime-database: malloc(): memory corruption during DVD install
Summary: update-mime-database: malloc(): memory corruption during DVD install
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: shared-mime-info (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Bastien Nocera
QA Contact: Desktop QE
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-07-02 07:24 UTC by Alexander Todorov
Modified: 2017-08-08 13:56 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 13:56:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
tarball of all logs from stage2 anaconda (50.58 KB, application/x-gzip)
2010-07-02 07:30 UTC, Alexander Todorov
no flags Details

Description Alexander Todorov 2010-07-02 07:24:10 UTC
Description of problem:
During DVD install of x86_64 Workstation variant with default package set Anaconda seems to hang at package 741 (somewhere in the middle). Swithcing to tty1 shows the error message:

*** glibc detected *** update-mime-database: malloc(): memory corruption: 0x00000000018ccd30 ***

Version-Release number of selected component (if applicable):
shared-mime-info-0.70-4.el6.x86_64.rpm
anaconda-13.21.56-1.el6.x86_64.rpm

How reproducible:
1/1

Steps to Reproduce:
1. Start DVD install on KVM domU with 1024M of memory with the Workstation variant
2. Use all default settings
3. Anaconda starts installing the default package set
  
Actual results:
Anaconda seems to hang. The above error is shown on tty1. Install can't continue.

Expected results:
Install completes.

Additional info:
I've tried this only once. Will try to reproduce. Haven't seen it on Server or WebServer variants. Will attach logs from anaconda.

Comment 1 Alexander Todorov 2010-07-02 07:28:56 UTC
free -m on tty2 after the failure shows:

total: 997
used:  936
free:   60

swap: 2015
used:    1
free: 2014

Comment 2 Alexander Todorov 2010-07-02 07:30:05 UTC
Created attachment 428742 [details]
tarball of all logs from stage2 anaconda

anaconda logs attached, not sure if useful

Comment 3 RHEL Product and Program Management 2010-07-02 07:43:18 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 4 Bill Nottingham 2010-07-06 20:09:25 UTC
Perhaps this is a dup of bug 607650?

Comment 5 Matthias Clasen 2010-07-07 15:52:17 UTC
Sounds likely to me. I haven't seen memory corruption errors filed against update-mime-database anywhere else.

Comment 6 RHEL Product and Program Management 2010-07-15 14:56:39 UTC
This issue has been proposed when we are only considering blocker
issues in the current Red Hat Enterprise Linux release. It has
been denied for the current Red Hat Enterprise Linux release.

** If you would still like this issue considered for the current
release, ask your support representative to file as a blocker on
your behalf. Otherwise ask that it be considered for the next
Red Hat Enterprise Linux release. **

Comment 7 Bastien Nocera 2017-08-08 13:56:15 UTC
This has not been reported again in 7 years, and there's no new information either. I'm guessing it was a problem with the VM system rather than shared-mime-info.


Note You need to log in before you can comment on or make changes to this bug.